# PageContent Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/pagecontent/

Schema for the `PageContent` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the page content
- **`sequence`** _(integer)_
  The order of the page content in the context of a page. Will increase sequentially from 0.
- **`page`** _(object)_
  The page the content belongs to
  - **`id`** _(string)_
    The unique identifier for the page
- **`page_type`** _(string)_
  The type of the page
  Allowed: `landing-pages`, `site-pages`, `blog-posts`
- **`parent`** _(object)_
  The parent of the page content
  - **`id`** _(string)_
    The unique identifier for the parent page content
  - **`type`** _(string)_
    The type of the parent
- **`has_children`** _(boolean)_
  Whether the page content has children
- **`body`** _(object)_
  The body of the page content
  - **`format`** _(string)_
    The format of the body
    Allowed: `markdown`, `html`, `plaintext`
  - **`content`** _(string)_
    The content of the body
- **`urls`** _(array<object>)_
  The URLs of the files attached in the page content
  - **`url`** _(string)_
    The URL of the file
  - **`type`** _(string)_
    The URL type of the file
    Allowed: `original_url`, `truto_download`
- **`created_at`** _(string)_
  The date and time the page content was created
- **`updated_at`** _(string)_
  The date and time the page content was last updated
- **`visibility`** _(string)_
  The visibility of the page
  Allowed: `private`, `public`
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/page-content](/docs/api-reference/unified-knowledge-base-api/pagecontent/list) — List Page content
- [POST /unified/knowledge-base/page-content/append](/docs/api-reference/unified-knowledge-base-api/pagecontent/append) — Append Page content
- [POST /unified/knowledge-base/page-content/export](/docs/api-reference/unified-knowledge-base-api/pagecontent/export) — Export Page content
- [GET /unified/knowledge-base/page-content/{id}](/docs/api-reference/unified-knowledge-base-api/pagecontent/get) — Get Page content
